      subroutine KINOPT(KIN)
      include 'UNITS.INC'
      include 'INPAR.INC'
      integer DATLEN(4),EOF,INUNIT,MINDAT(4),NDATA,KIN,IFIND,IT,LENDAT
      character DATNAM(16)*1, REQFMT*19
      data REQFMT/'(/1X,''Option-> ''  )'/
      data NDATA, DATLEN, MINDAT, LENDAT /4, 4,4,4,4, 1,1,1,1, 16/
      data DATNAM/'L','I','S','T', 'P','L','O','T', 'H','E','L','P',
     &  'Q','U','I','T'/
100   continue
      KIN = IFIND(NDATA,LENDAT,DATLEN,DATNAM,MINDAT)
      IT = KIN+3
      go to (120,130,110,130,130,120,130), IT
110   continue
      write (TTYOUT(MACHNO),5000)
5000  format (/' Option not recognized, please try again.'//)
120   continue
      write (TTYOUT(MACHNO),5010)
5010  format (/1X,'The following KINETIC options are available:'//16X,'L
     &ist - lists selected KINETIC output parameters'/16X,'Plot - plots 
     &selected KINETIC output parameters'/16X,'Help - this message'/16X,
     &'Quit - return to the EXAMS prompt')
      REQFMT(17:18) = CRSTOP(MACHNO)
      write (TTYOUT(MACHNO),REQFMT)
      INUNIT = TTYIN(MACHNO)
      call INREC (EOF,INUNIT,INPUT)
      KIN = -1
      STOPIT = 0
      if (EOF.ne.1) go to 100
130   continue
      return
      end
